Bug 7880 - Rosa R9 Gnome Edition
: Rosa R9 Gnome Edition
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-04-20 19:40 MSD by Nemial
Modified: 2017-05-10 19:17 MSD (History)
2 users (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
vladimir.potapov: published?


Attachments
ss (1.43 MB, image/png)
2017-04-22 11:10 MSD, Vladimir Potapov
Details
ss6 (756.06 KB, image/png)
2017-04-28 20:51 MSD, Vladimir Potapov
Details

Note You need to log in before you can comment on or make changes to this bug.
Comment 1 Vladimir Potapov 2017-04-21 08:27:52 MSD
Неожиданно новый гном очень понравился. Видимо, он стал больше похож на кеды интерфейсом, можно не переучиваться :-)
Некоторые замечания
1) Я бы убрал утилиту просмотра логов. При старте она сыплет ошибками и самый главный лог - journalctl не показывает.
2) Было бы классно унифицировать порядок значков на панели с KDE4 и Plasma.
Т.е. не, как сейчас, firefox, evolution, lo writer, naultilus, rpmdrake
а принятое у нас rpmdrake, naultilus, Lo Write, firefox.
Comment 2 Vladimir Potapov 2017-04-21 08:49:27 MSD
3) В поставке отсутствует GIMP. Было бы неплохо его добавить, он явно в ожидаемых программах.
Comment 3 Vladimir Potapov 2017-04-21 18:15:13 MSD
4) По оформлению. Курсор выглядит грубовато, как будто из windows 3.1 взят (особенно ожидание). Царапает.
Comment 4 Vladimir Potapov 2017-04-21 18:19:59 MSD
5) ROSA Mediaplayer plugin не работает. Мы из всех дистров его уже удалили, а здесь почему-то остался.
Comment 5 Vladimir Potapov 2017-04-21 18:29:00 MSD
6) В наутилусе файлы с папками вперемешку по алфавиту. Это ужасно. Правится
http://archlinux.org.ru/forum/topic/13761/
Comment 6 Vladimir Potapov 2017-04-21 18:44:03 MSD
7) Росиные иконки есть и это классно. Но наутилус там гномовый отображается т.к. в теме отсутствует. Надо бы сделать линк в теме росиных иконок чтоб у наутилуса была та же иконка, что у дельфина
Comment 7 Vladimir Potapov 2017-04-21 18:48:48 MSD
8) ClipIt светится в меню, он там ведь совсем не нужен - запускается автоматом. Хорошо бы в десктопфайле прописать, чтоб не светился.
Comment 8 Vladimir Potapov 2017-04-21 18:51:17 MSD
9) Еще в росиной теме иконок пустое место для LibreOfficе. Мы это вроде даже правили когда-то?
Comment 9 Vladimir Potapov 2017-04-21 18:57:36 MSD
10) Думается, что и в гнома (благо меню похоже на sw) можно добавить -install пакеты для скайпа, вайбера, стима и freeoфиса, как в kde4. Должно неплохо смотреться. Еще можно для телеграма такой же пакет сделать-прикрутить.
11) Менеджер архивов тоже можно сделать невидимым в меню. С ним после запуска из меню ничего сделать нельзя - все задизаблено. Зачем он там?
Comment 10 Vladimir Potapov 2017-04-21 19:24:39 MSD
12) заметки не запускаются. (bijiben видимо)
Comment 11 Vladimir Potapov 2017-04-21 19:26:45 MSD
13) В приложениях под root (например, rosa image writer) светятся старогномовские значки а не те, что установлены в теме.
Comment 12 Vladimir Potapov 2017-04-21 19:33:08 MSD
14) При щелчке на архиве происходи его распаковка в текущую папку. Это несколько... неожиданно. Как бы изменить на стандартное поведение - открытие архива как папки?
Comment 13 Nemial 2017-04-21 19:44:39 MSD
(In reply to comment #11)
> 13) В приложениях под root (например, rosa image writer) светятся
> старогномовские значки а не те, что установлены в теме.

Скрин бы
Comment 14 Nemial 2017-04-21 19:45:34 MSD
(In reply to comment #8)
> 9) Еще в росиной теме иконок пустое место для LibreOfficе. Мы это вроде даже
> правили когда-то?

К счастью, росиная тема иконок не является дефолтом в гноме, поэтому это не так страшно
Comment 15 Nemial 2017-04-21 19:46:13 MSD
(In reply to comment #3)
> 4) По оформлению. Курсор выглядит грубовато, как будто из windows 3.1 взят
> (особенно ожидание). Царапает.
По мнению пользователей - нормально, тут дело вкуса
Comment 16 Nemial 2017-04-21 19:46:57 MSD
(In reply to comment #1)
> Неожиданно новый гном очень понравился. Видимо, он стал больше похож на кеды
> интерфейсом, можно не переучиваться :-)
> Некоторые замечания
> 1) Я бы убрал утилиту просмотра логов. При старте она сыплет ошибками и
> самый главный лог - journalctl не показывает.
> 2) Было бы классно унифицировать порядок значков на панели с KDE4 и Plasma.
> Т.е. не, как сейчас, firefox, evolution, lo writer, naultilus, rpmdrake
> а принятое у нас rpmdrake, naultilus, Lo Write, firefox.

А можно название утилиты?
Comment 17 Nemial 2017-04-21 19:49:06 MSD
(In reply to comment #9)
> 10) Думается, что и в гнома (благо меню похоже на sw) можно добавить
> -install пакеты для скайпа, вайбера, стима и freeoфиса, как в kde4. Должно
> неплохо смотреться. Еще можно для телеграма такой же пакет
> сделать-прикрутить.
> 11) Менеджер архивов тоже можно сделать невидимым в меню. С ним после
> запуска из меню ничего сделать нельзя - все задизаблено. Зачем он там?

Менеджер там для создания новых архивов(и ничего там не задизаблено). В принципе можно убрать, но он вроде не мешает
Comment 18 Nemial 2017-04-21 19:50:43 MSD
(In reply to comment #12)
> 14) При щелчке на архиве происходи его распаковка в текущую папку. Это
> несколько... неожиданно. Как бы изменить на стандартное поведение - открытие
> архива как папки?

Это можно поправить
Comment 19 Vladimir Potapov 2017-04-22 11:10:50 MSD
Created attachment 4618 [details]
ss

скрин диалога открытия файлов rosa-imagewriter
Comment 20 Vladimir Potapov 2017-04-22 11:13:47 MSD
(In reply to comment #16)
> А можно название утилиты?
gnome-system-log
Comment 21 Vladimir Potapov 2017-04-22 11:15:39 MSD
(In reply to comment #17)
> Менеджер там для создания новых архивов(и ничего там не задизаблено). В
> принципе можно убрать, но он вроде не мешает
Все задизаблено... но я понял как пользоваться. Если кинуть на его открытое окно файл - создается архив.
Comment 22 Nemial 2017-04-22 11:56:35 MSD
(In reply to comment #19)
> Created attachment 4618 [details]
> ss
> 
> скрин диалога открытия файлов rosa-imagewriter

Для rosa-imagewriter такое поведение нормально в гноме
Comment 23 Vladimir Potapov 2017-04-22 17:59:50 MSD
(In reply to comment #22)
> (In reply to comment #19)
> > Created attachment 4618 [details]
> > ss
> > 
> > скрин диалога открытия файлов rosa-imagewriter
> 
> Для rosa-imagewriter такое поведение нормально в гноме

а нельзя в папку рута засунуть дефолтную тему?
Comment 24 Nemial 2017-04-23 15:39:59 MSD
(In reply to comment #5)
> 6) В наутилусе файлы с папками вперемешку по алфавиту. Это ужасно. Правится
> http://archlinux.org.ru/forum/topic/13761/

В настройках наутилуса можно поправить(в dconf не знаю как ключ называется)
Comment 25 Nemial 2017-04-23 15:40:14 MSD
(In reply to comment #23)
> (In reply to comment #22)
> > (In reply to comment #19)
> > > Created attachment 4618 [details]
> > > ss
> > > 
> > > скрин диалога открытия файлов rosa-imagewriter
> > 
> > Для rosa-imagewriter такое поведение нормально в гноме
> 
> а нельзя в папку рута засунуть дефолтную тему?

Не вариант
Comment 26 Nemial 2017-04-23 22:25:36 MSD
(In reply to comment #10)
> 12) заметки не запускаются. (bijiben видимо)

Его сначала через терминал запустить надо
Comment 27 Nemial 2017-04-24 00:04:47 MSD
Новые образы, кое-чего додел(по твоим советам). Install-пакеты не добавлял, так как буду только лишнее место, в меню, буду занимать.
http://file-store.rosalinux.ru/api/v1/file_stores/346510797ccfeb26bb4f372f931de650b48bec3a
http://file-store.rosalinux.ru/api/v1/file_stores/212880343fbd271d9f30f7a6af5865d1353b7ce0
Comment 28 Nemial 2017-04-24 00:21:49 MSD
(In reply to comment #10)
> 12) заметки не запускаются. (bijiben видимо)

Я его пока дропнул из образа, дождусь стабильной версии, где этот баг уже поправили
Comment 30 Vladimir Potapov 2017-04-25 20:32:34 MSD
2) Не сделано. В лайве нормально, а в установленной системе по-старому.
Comment 31 Nemial 2017-04-25 22:47:07 MSD
(In reply to comment #30)
> 2) Не сделано. В лайве нормально, а в установленной системе по-старому.

А что по-старому?
Comment 32 Nemial 2017-04-25 22:50:21 MSD
(In reply to comment #30)
> 2) Не сделано. В лайве нормально, а в установленной системе по-старому.

"По-старому" - в смысле evolution и т.д.?
Comment 33 Nemial 2017-04-26 14:48:16 MSD
Новая версия образа
+Новая цветовая схема терминала
+Сортировка файлов после папок в наутилусе
+Правильный порядок значков на панели

https://abf.rosalinux.ru/platforms/rosa2016.1/products/178/product_build_lists/18530
https://abf.rosalinux.ru/platforms/rosa2016.1/products/178/product_build_lists/18531
Comment 34 Vladimir Potapov 2017-04-26 19:12:44 MSD
(In reply to comment #33)
> Новая версия образа
> +Правильный порядок значков на панели
Не получилось. Остальное нормально вроде.
Comment 35 Nemial 2017-04-26 19:27:33 MSD
(In reply to comment #34)
> (In reply to comment #33)
> > Новая версия образа
> > +Правильный порядок значков на панели
> Не получилось. Остальное нормально вроде.

В общем значки не поддаются никакому воздействию и больше я их трогать не буду.
Comment 37 Vladimir Potapov 2017-04-27 18:00:58 MSD
1) Переключение языка идет сочетанием ctrl+shift хотя в инсталляторе я указывал alt+shift (это сочетание у нас по-дефолту не просто так, делали исследование и голосование). Это критично.
2) В образе два видеоплеера - ROMP и фирмовый гномовский. Возможно, ROMP можно убрать, все равно он не развивается.
3) В системе два настройщика принтеров. system-config-printer и фирмовый гномовский. Пока, наверное, удалять рано но надо бы исследовать возможность.
4) urpme --auto-orphans
Для удовлетворения зависимостей будет удалён следующий пакет (1.1МБ):
  
(осиротевший пакет)
  lib64fltk1.3-1.3.3-3-rosa2016.1.x86_64

это в лайве, ничего не ставил. Как он попал сюда?
Comment 38 Vladimir Potapov 2017-04-27 18:35:18 MSD
5) По-умолчанию выключено "Нажатие касанием" в настройках мыши, потому установка на ноуте без мыши несколько мучительна :-(
Comment 39 Vladimir Potapov 2017-04-28 20:51:58 MSD
Created attachment 4625 [details]
ss6

mc с текущей раскраской терминала - файлы почти не видны :-(
Comment 41 Vladimir Potapov 2017-05-10 19:10:12 MSD
(In reply to comment #40)
> https://abf.rosalinux.ru/platforms/rosa2016.1/products/178/
> product_build_lists/18625
> https://abf.rosalinux.ru/platforms/rosa2016.1/products/178/
> product_build_lists/18624
************************
QA Verified